.\"	$OpenBSD: perror.3,v 1.9 2013/06/05 03:39:23 tedu Exp $
.\"
.\" Copyright (c) 1980, 1991 Regents of the University of California.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the American National Standards Committee X3, on Information
.\" Processing Systems.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd $Mdocdate: June 5 2013 $
.Dt PERROR 3
.Os
.Sh NAME
.Nm perror
.Nd write error messages to standard error
.Sh SYNOPSIS
.In stdio.h
.Ft void
.Fn perror "const char *string"
.Sh DESCRIPTION
The
.Fn perror
function looks up the language-dependent error message string affiliated
with an error number and writes it, followed by a new-line, to the
standard error stream.
.Pp
If the argument
.Fa string
is not the
.Dv NULL
pointer and is not zero length, it is prepended to the message string and
separated from it by a colon and a space
.Pq Ql \&:\ \& .
Otherwise, only the error message string is printed.
.Pp
The contents of the error message string are the same as those returned by
.Fn strerror
with argument
.Fa errno .
.Sh SEE ALSO
.Xr intro 2 ,
.Xr psignal 3 ,
.Xr setlocale 3 ,
.Xr strerror 3
.Sh STANDARDS
The
.Fn perror
function conforms to
.St -ansiC .
